AbstractElementVisitor14 (Java SE 14 & JDK 14)
Description: declaration: module: java.compiler, package: javax.lang.model.util, class: AbstractElementVisitor14
Keywords: javax.lang.model.util.AbstractElementVisitor14 class

Module java.compiler
Package javax.lang.model.util

# Class AbstractElementVisitor14<R,​P>

java.lang.Object
javax.lang.model.util.AbstractElementVisitor6<R,​P>
javax.lang.model.util.AbstractElementVisitor7<R,​P>
javax.lang.model.util.AbstractElementVisitor8<R,​P>
javax.lang.model.util.AbstractElementVisitor9<R,​P>
javax.lang.model.util.AbstractElementVisitor14<R,​P>

Type Parameters:
  `R` - the return type of this visitor's methods. Use `Void` for visitors that do not need to return results.
  `P` - the type of the additional parameter to this visitor's methods. Use `Void` for visitors that do not need an additional parameter.

All Implemented Interfaces:
  `ElementVisitor<R,​P>`

    @SupportedSourceVersion(RELEASE_14)
    public abstract class AbstractElementVisitor14<R,​P>
    extends AbstractElementVisitor9<R,​P>

This class is associated with records, a preview feature of the Java language. Preview features may be removed in a future release, or upgraded to permanent features of the Java language.
A skeletal visitor of program elements with default behavior appropriate for the `RELEASE_14` source version.

WARNING: The `ElementVisitor` interface implemented by this class may have methods added to it in the future to accommodate new, currently unknown, language structures added to future versions of the Java™ programming language. Therefore, methods whose names begin with `"visit"` may be added to this class in the future; to avoid incompatibilities, classes which extend this class should not declare any instance methods with names beginning with `"visit"`.

When such a new visit method is added, the default implementation in this class will be to call the `visitUnknown` method. A new abstract element visitor class will also be introduced to correspond to the new language level; this visitor will have different default behavior for the visit method in question. When the new visitor is introduced, all or portions of this visitor may be deprecated.

Since:
  14
See Also:
  `AbstractElementVisitor6`, `AbstractElementVisitor7`, `AbstractElementVisitor8`, `AbstractElementVisitor9`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `AbstractElementVisitor14()` | Constructor for concrete subclasses to call.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `abstract R` | `visitRecordComponent​(RecordComponentElement t, P p)` | Associated with records, a preview feature of the Java language. Visits a record component element.

  ### Methods declared in class javax.lang.model.util.AbstractElementVisitor9

  `visitModule`

  ### Methods declared in class javax.lang.model.util.AbstractElementVisitor6

  `visit, visit, visitUnknown`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.lang.model.element.ElementVisitor

  `visitExecutable, visitPackage, visitType, visitTypeParameter, visitVariable`

- ## Constructor Details

  - ### AbstractElementVisitor14

    protected AbstractElementVisitor14()
    Constructor for concrete subclasses to call.

- ## Method Details

  - ### visitRecordComponent

    public abstract R visitRecordComponent​(RecordComponentElement t, P p)
    This method is associated with records, a preview feature of the Java language. Preview features may be removed in a future release, or upgraded to permanent features of the Java language.
    Visits a record component element.
    Specified by:
      `visitRecordComponent` in interface `ElementVisitor<R,​P>`
    Overrides:
      `visitRecordComponent` in class `AbstractElementVisitor6<R,​P>`
    Implementation Requirements:
      Visits a `RecordComponentElement` in a manner defined by a subclass.
    Parameters:
      `t` - the element to visit
      `p` - a visitor-specified parameter
    Returns:
      a visitor-specified result